/*
 * Midlet.java
 *
 * Created on 18. Oktober 2006, 16:23
 */

package ex1;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 *
 * @author  Alexander De Luca, Gregor Broll
 * @version 1.0
 */
public class Midlet extends MIDlet implements CommandListener {
    private static Command CLOSE_COMMAND = new Command("close", Command.EXIT, 1);
    private static Command OK_COMMAND = new Command("ok", Command.OK, 2);
    private Form helloForm;
    private StringItem text;
    private ImageItem imageItem;
    private Display display;
    private TextField inputField;
    
    private void createForm() {
        display = Display.getDisplay(this);
        helloForm = new Form("Hello World");
        helloForm.addCommand(CLOSE_COMMAND);
        helloForm.addCommand(OK_COMMAND);
        helloForm.setCommandListener(this);
        text = new StringItem(null, "Hello World");
        helloForm.append(text);
        inputField=new TextField(null,null,20,TextField.ANY);
        helloForm.append(inputField);
        
        
        try {
            imageItem = new ImageItem(null, Image.createImage("/ex1.png"), Item.LAYOUT_CENTER, null);
            helloForm.append(imageItem);
        } catch(java.io.IOException e) {
            e.printStackTrace();
        }
        
        display.setCurrent(helloForm);
    }

    public void commandAction(Command comm, Displayable disp) {
        if(comm == CLOSE_COMMAND)
            this.exitMIDlet();
        if(comm == OK_COMMAND)
            if(inputField.getString().length() > 0)
                text.setText(inputField.getString());
    }
    
    public void exitMIDlet() {                         
        display.setCurrent(null);
        destroyApp(true);
        notifyDestroyed();
    }
    
    public void startApp() {
        this.createForm();
    }
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
    }
}
